# Crow: crow::returnable Struct Reference

crow::returnable Struct Referenceabstract

An abstract class that allows any other class to be returned by a handler. More...

`#include <returnable.h>`

Inheritance diagram for crow::returnable:

## Public Member Functions

virtual std::string | dump () const =0
| returnable (std::string ctype)

## Public Attributes

std::string | content_type

## Detailed Description

An abstract class that allows any other class to be returned by a handler.

## Member Function Documentation

## dump()

virtual std::string crow::returnable::dump | ( |  | ) | const

pure virtual

Implemented in crow::multipart::message.

The documentation for this struct was generated from the following file:

- /home/farook/cppsrv/crow-0.3-fordoc/include/crow/returnable.h